CommodityType Class Reference

commodity type More...

`#include <ql/experimental/commodities/commoditytype.hpp>`

Inherited by NullCommodityType.

## Public Member Functions

| CommodityType ()
| default constructor More...
| CommodityType (const std::string &code, const std::string &name)
Inspectors
const std::string & | code () const
| commodity code, e.g, "HO"
const std::string & | name () const
| name, e.g, "Heating Oil"

## Related Functions

(Note that these are not member functions.)
bool | operator== (const CommodityType &, const CommodityType &)
bool | operator!= (const CommodityType &, const CommodityType &)
std::ostream & | operator<< (std::ostream &, const CommodityType &)

## Other information

ext::shared_ptr< Data > | data_
static std::map< std::string, ext::shared_ptr< Data > > | commodityTypes_
bool | empty () const
| is this a usable instance?

## Detailed Description

commodity type

## Constructor & Destructor Documentation

## CommodityType()

CommodityType | ( |  | ) |

default constructor

Instances built via this constructor have undefined behavior. Such instances can only act as placeholders and must be reassigned to a valid currency before being used.